- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/list#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/list#body.ListStudentGroupsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/list#try-it)

Returns a list of groups in a course.

This method returns the following error codes:

- `NOT_FOUND` if the course does not exist.

### HTTP request

`GET https://classroom.googleapis.com/v1/courses/{courseId}/studentGroups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Required. The identifier of the course. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum, which is currently set to 75 items. The server may return fewer than the specified number of results. |
| `pageToken` | `string` `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/list#body.ListStudentGroupsResponse.FIELDS.next_page_token` value returned from a previous `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/list#google.classroom.v1.Courses.ListStudentGroups` call, indicating that the subsequent page of results should be returned. The `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups/list#google.classroom.v1.Courses.ListStudentGroups` request must be otherwise identical to the one that resulted in this token. |
| `previewVersion` | ``enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion`)`` Optional. The preview version of the API. This must be set in order to access new API capabilities made available to developers in the Preview Program. |

### Request body

The request body must be empty.

### Response body

Response when listing student groups.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "studentGroups": [ { object (`https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups#StudentGroup`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `studentGroups[]` | ``object (`https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups#StudentGroup`)`` The student groups. |
| `nextPageToken` | `string` Token identifying the next page of results to return. If empty, no further results are available. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.rosters`
- `
  https://www.googleapis.com/auth/classroom.rosters.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).